Get transaction
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/transaction/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/transaction/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/transaction/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/transaction/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/transaction/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Transaction retrieved successfully",
"data": {
"id": "txn_payout_001",
"business_id": "business_123",
"business_customer_id": "customer_123",
"business_wallet_id": "wallet_ngn_001",
"status": "SUCCESSFUL",
"type": "payout",
"reference": "payout_ref_001",
"currency": "NGN",
"amount": 50000,
"amount_without_fee": 49500,
"fee": 500,
"rate": null,
"date": "2026-03-13T10:30:00.000000Z",
"payee_collection_email": null,
"source_information": {
"collection_email": null,
"collection_name": null
},
"swap_details": null,
"recipient": {
"id": "recipient_123",
"account_number": "0123456789",
"account_name": "John Doe",
"amount": 50000,
"currency": "NGN",
"bank_name": "Access Bank",
"bank_code": "044",
"status": "SUCCESSFUL",
"routing_number": null,
"email": null
}
}
}Transaction
Get transaction
Retrieve a completed API transaction by its transaction ID or reference. Required scope: transaction:read.
GET
/
api
/
external
/
transaction
/
{id}
Get transaction
Authorizations
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Path Parameters
Unique transaction ID or transaction reference.
Was this page helpful?
⌘I

